Summary: A library that can be used to access various digital cameras.
Name: gphoto
Version: 2.0beta3
Release: fr2
Serial: 2
Copyright: LGPL
Group: System Environment/Libraries
Source: gphoto-%{version}.tar.bz2
URL: http://www.gphoto.org/
BuildRoot: %{_tmppath}/%{name}-root
Requires: libusb
Obsoletes: gphoto2
BuildRequires: libusb

%description
Hello and welcome to the wonderful world of gphoto! This is gphoto2, the 
successor of gphoto with lots of new features and additional camera
drivers.

gphoto2 is a library that can be used by applications to access various 
digital cameras.  

Additionally, the command-line frontend, which is shipped with the library,
is called gphoto2, too.


%package devel
Summary: Development files for gphoto2.
Group: Development/Libraries
Requires: %{name} = %{version}

%description devel
Developing package for gphoto2. Contains files needed for doing
development using gphoto2.


%prep
%setup -q

%build
#./autogen.sh \
#	--prefix=%{_prefix} \
#	--bindir=%{_bindir} \
#	--includedir=%{_includedir} \
#	--libdir=%{_libdir} \
#	--datadir=%{_datadir}
%configure \
	--with-drivers=all \
	--enable-shared \
	--enable-static
make

%install
rm -rf %{buildroot}
%makeinstall

# Ugly workaround
install -m 644 libgphoto2/.libs/libgphoto2.a \
	%{buildroot}%{_libdir}/
install -m 755 libgphoto2/libgphoto2.la \
	%{buildroot}%{_libdir}/
install -m 755 libgphoto2/.libs/libgphoto2.so.0.0.0U \
	%{buildroot}%{_libdir}/libgphoto2.so.0.0.0
cp -a libgphoto2/.libs/libgphoto2.so libgphoto2/.libs/libgphoto2.so.0 \
	%{buildroot}%{_libdir}/
strip %{buildroot}%{_libdir}/* 2>/dev/null || :

# The camera libs, including ones in their own subdirectory
cp -a camlibs/{*,*/*}/.libs/*.{a,so*} camlibs/{*,*/*}/*.la \
	%{buildroot}%{_libdir}/gphoto2/
for lib in %{buildroot}%{_libdir}/gphoto2/*.soU; do
	mv "$lib" "`echo $lib | tr -d U`"
done
strip %{buildroot}%{_libdir}/*/* 2>/dev/null || :

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog README
%{_bindir}/gphoto2
%{_libdir}/*.so.*
%dir %{_libdir}/gphoto2
%dir %{_libdir}/gphoto2_port
%{_libdir}/gphoto2/*.so
%{_libdir}/gphoto2_port/*.so.*
%{_datadir}/gphoto2
%{_datadir}/locale/*/LC_MESSAGES/gphoto.mo

%files devel
%defattr(-, root, root)
%{_bindir}/gphoto2-config
%{_bindir}/gphoto2-port-config
%{_includedir}/gphoto2
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/*.sh
%{_libdir}/*.so
%dir %{_libdir}/gphoto2
%dir %{_libdir}/gphoto2_port
%{_libdir}/gphoto2/*.a
%{_libdir}/gphoto2/*.la
%{_libdir}/gphoto2_port/*.a
%{_libdir}/gphoto2_port/*.la
%{_libdir}/gphoto2_port/*.so
%{_libdir}/pkgconfig/libgphoto2.pc

%changelog
* Sat Dec  1 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Fix for the Kodak libs that weren't included by the "hack", thanks to
  Drew M.

* Sun Nov 18 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 2.0beta3, added a few new files and hacks :-/
- It's not possible to rebuild this package if gphoto is already installed.

* Wed Nov 14 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Rebuild for Red Hat Linux 7.2, with an ugly workaround!

* Tue Oct  2 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 2.0beta2.

* Tue Sep 18 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Updated to the latest CVS version.
- Cleaned up the %%files section.

* Mon Aug 20 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Updated to the latest CVS version.

* Mon Jul 23 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Initial RPM release.

